#include "Menu.h"

CMenu::~CMenu()
{
//	destroy_bitmap(imagem);
}

void CMenu::Draw()
{
	static BITMAP *buffer = create_bitmap(SCREEN_W, SCREEN_H);
	clear_to_color(buffer, makecol(255, 255, 255));
//    textprintf_ex(buffer, font, 50, 270 + i * 8, (i == focus ? corFonteHighlited : corFonte ), this->corFundo, "%s", nomeItens[i].c_str());
    textout_ex(buffer, font, "  _________", 0, 0, makecol(255, 255, 255), 0);
    textout_ex(buffer, font, " /   _____/ __________________ ___.__.    __  _  __ ____",          0, 0, makecol(255, 255, 255), 0);
    textout_ex(buffer, font, " \\_____  \\ /  _ \\_  __ \\_  __ <   |  |    \\ \\/ \\/ // __ \\", 0, 8, makecol(255, 255, 255), 0);
    textout_ex(buffer, font, " /        (  <_> )  | \\/|  | \\/\\___  |     \\     /\\  ___/",    0, 24, makecol(255, 255, 255), 0);
    textout_ex(buffer, font, "/_______  /\\____/|__|   |__|   / ____| /\\   \\/\\_/  \\___  >",   0, 32, makecol(255, 255, 255), 0);
    textout_ex(buffer, font, "        \\/                     \\/      )/              \\/",      0, 40, makecol(255, 255, 255), 0);
    textout_ex(buffer, font, "  _____       .__.__             .___",                             0, 48, makecol(255, 255, 255), 0);
    textout_ex(buffer, font, "_/ ____\\____  |__|  |   ____   __| _/",                            0, 64, makecol(255, 255, 255), 0);
    textout_ex(buffer, font, "\\   __\\__  \\ |  |  | _/ __ \\ / __ |",                           0, 72, makecol(255, 255, 255), 0);
    textout_ex(buffer, font, " |  |   / __ \\|  |  |_\\  ___// /_/ |",                            0, 80, makecol(255, 255, 255), 0);
    textout_ex(buffer, font, " |__|  (____  /__|____/\\___  >____ |  /\\",                        0, 88, makecol(255, 255, 255), 0);
    textout_ex(buffer, font, "            \\/             \\/     \\/  \\/",                      0, 94, makecol(255, 255, 255), 0);


    textout_ex(buffer, font, " Heitor - Rafael - Ricardo",                      0, 120, makecol(255, 255, 255), 0);
    

	//blit(imagem, buffer, 0, 0, 0, 0, imagem->w, imagem->h);
	for (int i = 0; i < numeroItens; i++)
		textprintf_ex(buffer, font, 50, 270 + i * 8, (i == focus ? corFonteHighlited : corFonte ), this->corFundo, "%s", nomeItens[i].c_str());
	blit(buffer, screen, 0, 0, 0, 0, SCREEN_W, SCREEN_H);
}



void CMenu::Init()
{
    numeroItens = 3;
	nomeItens[0] = "Jogar";
	nomeItens[1] = "Opes";
	nomeItens[2] = "Sair";
	focus = 0;
	corFonte = makecol(255, 255, 255);
	corFonteHighlited = makecol(255, 255, 0);
	corFundo = -1;
	//imagem = load_bmp("res\\titulo.bmp", NULL);
	/*if (!imagem)
		raise_error("No foi possvel carregar a imagem do menu.");*/
}


void CMenu::FocusUp()
{
	if (focus > 0)
		focus--;
}



void CMenu::FocusDown()
{
	if (focus < numeroItens - 1)
		focus++;
}
